Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07005 Crash/Freeze Critical (emulation) Always Jun 5, 2018, 23:48 12 days ago
Tester D Go Go Fan View Status Public Platform MAME (Official Binary)
Assigned To Ryan Holtz Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver vamphalf.cpp
Version 0.198 Fixed in Version 0.205GIT Build 64-bit
Summary 07005: wolrdadv, luplup, poosho (possibly more): DRC malfunction with 36 minutes of emulation
Description I am using Wolf MAME 198. World Adventure randomly freezes. It happens so often that it is impossible to beat the first world. The freezes only affect the game, MAME can still be paused, and the menus entered. The freezes seem to happen more often the further into the game you go; it hasn't frozen in the first 5 levels. I played Poosho Poosho to stage 11, and it didn't freeze; this appears to only affect World Adventure. This should be demoted to "not working" if it can't be fixed soon, as it makes the game impossible to beat.
Steps To Reproduce Just try to beat the first world (France), and it will freeze after a few stages.
Additional Information Wolf MAME 198 state save attached, you can't beat the level before it freezes.
Flags
Regression Version 0.194
Affected Sets / Systems wolrdadv, luplup, poosho (possibly more)
Attached Files
zip file icon worldadv.zip (521,298 bytes) Jun 5, 2018, 23:48 Uploaded by D Go Go Fan
zip file icon worldadv1.zip (527,753 bytes) Jun 6, 2018, 19:31 Uploaded by D Go Go Fan
worldadv without drc
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.15101
Tafoid
Administrator
Jun 6, 2018, 04:18
Can you verify if such issues still exist if you use -nodrc?
User avatar
No.15105
D Go Go Fan
Tester
Jun 6, 2018, 19:29
The DRC doesn't cause the problem, but makes it worse. Running World Adventure without the DRC, the only problem I had in the first world, was some sound stuttering. This also happens with the DRC. Without the DRC, I can get about one third through the second world before the game freezes. It is not a total freeze like with the DRC, instead, the game will freeze for a few seconds, then run for several seconds, then freeze for longer, then run for less time, then freeze for longer. When I get a game-over after when the freezing period starts, the insert coin and/or start buttons stop responding. The insert coin button will make the normal coin jingle, but the game can't be continued, or a new game started. The game will keep running attract mode while freezing often.
User avatar
No.15110
wuemura
Viewer
Jun 6, 2018, 22:02
Game freezes alright, with '-nodrc' it chokes at some points.
I don't know how to play the game so I just left the thing running and it freezes by it self after a while.

Confirmed.
User avatar
No.15160
Haze
Senior Tester
Jun 11, 2018, 00:23
how odd, I left attract running overnight without a problem when I added it

that said, the game does have a lot of bugs even on the PCB, like weird flashing pixels, tiles not darkening when they can't be moved etc. so part of me wonders if it's actually an unfinished game / prototype (especially considering we've only ever seen a single PCB)

I'm not against it being demoted tho.
User avatar
No.15174
Haze
Senior Tester
Jun 14, 2018, 02:00
edited on: Jun 14, 2018, 02:01
This might be part of a more general hyperstone issue

I've been given a report that various Hyperstone games freeze after about 36 minutes, and that this didn't happen in older versions. I'm not sure exactly when it started happening.

I can confirm freezes in Lup Lup Puzzle and Poosha Poosha after 36 minutes. World Adventure seems to fit the same pattern.
User avatar
No.15175
Tafoid
Administrator
Jun 14, 2018, 22:15
I did some testing, it seems that during emulated second 2147 the gameplay will halt but MAME and emulation will continue trying to chug along.
Confirmed with luplup and worldadv via Haze's mention.
User avatar
No.15176
kazblox
Tester
Jun 15, 2018, 04:24
2147 seconds? Sounds like something suspicious, perhaps 32-bit integer overflow.
User avatar
No.15824
Haze
Senior Tester
21 days ago
edited on: 21 days ago
This affects a large number of the Hyperstone games (if not all of them eventually) and really needs either addressing, or the DRC disabling by default as it's leaving many things in NOT-WORKING state by default and is one of the biggest regressions of the year at the moment.

I plan on making a PR to disable the DRC on a per-driver level, with it only being reenabled for games which are individually tested and known to not cause issues.

My personal suspicion is it has something to do with timers firing at close to the same time and the core not coping properly with multiple interrupts at the same time, possibly losing one, and causing a timer to stop forever. This might actually be a general core bug that's being made worse by the DRC, but the most obvious fix at the moment is to turn off the DRC in the drivers.
User avatar
No.15863
Tafoid
Administrator
13 days ago
https://github.com/mamedev/mame/commit/0e6bff870e68bae444caa4ff607a4c65183a7276
This appears to fix luplup in my testing. If anyone else sees continued issues, post here please!
Resolving